
find_path(OPUS_INCLUDE_DIR opus/opus.h)

set(OPUS_INCLUDE_DIRS ${OPUS_INCLUDE_DIR})

if (UNIX)
	find_library(OPUS_LIBRARY opus)
	if (OPUS_LIBRARY)
		set(OPUS_LIBRARIES ${OPUS_LIBRARY})
	endif (OPUS_LIBRARY)
else (UNIX)
	find_library(OPUS_LIB_RELEASE opus)
	find_library(OPUS_LIB_DEBUG opus_d)

	find_library(OPUS_LIB_RELEASE_CELT celt)
	find_library(OPUS_LIB_DEBUG_CELT celt_d)

	find_library(OPUS_LIB_RELEASE_SILKCOMMON silk_common)
	find_library(OPUS_LIB_DEBUG_SILKCOMMON silk_common_d)

	find_library(OPUS_LIB_RELEASE_SILKFIXED silk_fixed)
	find_library(OPUS_LIB_DEBUG_SILKFIXED silk_fixed_d)

	find_library(OPUS_LIB_RELEASE_SILKFLOAT silk_float)
	find_library(OPUS_LIB_DEBUG_SILKFLOAT silk_float_d)

	if (OPUS_LIB_RELEASE OR OPUS_LIB_DEBUG)
		set(OPUS_LIBRARIES "")
		if (NOT OPUS_LIB_RELEASE OR NOT OPUS_LIB_DEBUG)
			if (OPUS_LIB_RELEASE)
				set(OPUS_LIBRARIES ${OPUS_LIB_RELEASE})
			else ()
				set(OPUS_LIBRARIES ${OPUS_LIB_DEBUG})
			endif()
		else ()
			set(OPUS_LIBRARIES optimized ${OPUS_LIB_RELEASE} debug ${OPUS_LIB_DEBUG})
		endif()

		if (OPUS_LIB_RELEASE_CELT OR OPUS_LIB_DEBUG_CELT)
			if (OPUS_LIB_RELEASE_CELT AND OPUS_LIB_DEBUG_CELT)
				set(OPUS_LIBRARIES ${OPUS_LIBRARIES} optimized ${OPUS_LIB_RELEASE_CELT} debug ${OPUS_LIB_DEBUG_CELT})
			else ()
				if (OPUS_LIB_RELEASE_CELT)
					set(OPUS_LIBRARIES ${OPUS_LIBRARIES} ${OPUS_LIB_RELEASE_CELT})
				else ()
					set(OPUS_LIBRARIES ${OPUS_LIBRARIES} ${OPUS_LIB_DEBUG_CELT})
				endif ()
			endif ()
		endif()

		if (OPUS_LIB_RELEASE_SILKCOMMON OR OPUS_LIB_DEBUG_SILKCOMMON)
			if (OPUS_LIB_RELEASE_SILKCOMMON AND OPUS_LIB_DEBUG_SILKCOMMON)
				set(OPUS_LIBRARIES ${OPUS_LIBRARIES} optimized ${OPUS_LIB_RELEASE_SILKCOMMON} debug ${OPUS_LIB_DEBUG_SILKCOMMON})
			else ()
				if (OPUS_LIB_RELEASE_SILKCOMMON)
					set(OPUS_LIBRARIES ${OPUS_LIBRARIES} ${OPUS_LIB_RELEASE_SILKCOMMON})
				else ()
					set(OPUS_LIBRARIES ${OPUS_LIBRARIES} ${OPUS_LIB_DEBUG_SILKCOMMON})
				endif ()
			endif ()
		endif()

		if (OPUS_LIB_RELEASE_SILKFIXED OR OPUS_LIB_DEBUG_SILKFIXED)
			if (OPUS_LIB_RELEASE_SILKFIXED AND OPUS_LIB_DEBUG_SILKFIXED)
				set(OPUS_LIBRARIES ${OPUS_LIBRARIES} optimized ${OPUS_LIB_RELEASE_SILKFIXED} debug ${OPUS_LIB_DEBUG_SILKFIXED})
			else ()
				if (OPUS_LIB_RELEASE_SILKFIXED)
					set(OPUS_LIBRARIES ${OPUS_LIBRARIES} ${OPUS_LIB_RELEASE_SILKFIXED})
				else ()
					set(OPUS_LIBRARIES ${OPUS_LIBRARIES} ${OPUS_LIB_DEBUG_SILKFIXED})
				endif ()
			endif ()
		endif()

		if (OPUS_LIB_RELEASE_SILKFLOAT OR OPUS_LIB_DEBUG_SILKFLOAT)
			if (OPUS_LIB_RELEASE_SILKFLOAT AND OPUS_LIB_DEBUG_SILKFLOAT)
				set(OPUS_LIBRARIES ${OPUS_LIBRARIES} optimized ${OPUS_LIB_RELEASE_SILKFLOAT} debug ${OPUS_LIB_DEBUG_SILKFLOAT})
			else ()
				if (OPUS_LIB_RELEASE_SILKFLOAT)
					set(OPUS_LIBRARIES ${OPUS_LIBRARIES} ${OPUS_LIB_RELEASE_SILKFLOAT})
				else ()
					set(OPUS_LIBRARIES ${OPUS_LIBRARIES} ${OPUS_LIB_DEBUG_SILKFLOAT})
				endif ()
			endif ()
		endif()

	endif (OPUS_LIB_RELEASE OR OPUS_LIB_DEBUG)
endif(UNIX)

include(FindPackageHandleStandardArgs)

find_package_handle_standard_args(OPUS DEFAULT_MSG OPUS_INCLUDE_DIRS OPUS_LIBRARIES)

